Object.defineProperty(exports, '__esModule', { value: true });

const semanticConventions = require('@opentelemetry/semantic-conventions');
const core = require('@sentry/core');

/**
 *
 * @param otelSpan Checks wheter a given OTEL Span is an http request to sentry.
 * @returns boolean
 */
function isSentryRequestSpan(otelSpan) {
  const { attributes } = otelSpan;

  const httpUrl = attributes[semanticConventions.SemanticAttributes.HTTP_URL];

  if (!httpUrl) {
    return false;
  }

  return core.isSentryRequestUrl(httpUrl.toString(), core.getCurrentHub());
}

exports.isSentryRequestSpan = isSentryRequestSpan;
//# sourceMappingURL=isSentryRequest.js.map
