import type { Context } from '@opentelemetry/api';
import type { Span as OtelSpan, SpanProcessor as OtelSpanProcessor } from '@opentelemetry/sdk-trace-base';
/**
 * Converts OpenTelemetry Spans to Sentry Spans and sends them to Sentry via
 * the Sentry SDK.
 */
export declare class SentrySpanProcessor implements OtelSpanProcessor {
    constructor();
    /**
     * @inheritDoc
     */
    onStart(otelSpan: OtelSpan, parentContext: Context): void;
    /**
     * @inheritDoc
     */
    onEnd(otelSpan: OtelSpan): void;
    /**
     * @inheritDoc
     */
    shutdown(): Promise<void>;
    /**
     * @inheritDoc
     */
    forceFlush(): Promise<void>;
}
//# sourceMappingURL=spanprocessor.d.ts.map